<?php

/***
 *	Class Posts
 *  -------------- 
 *  Description : encapsulates static posts properties
 *  Updated	    : 20.05.2009
 *	Written by  : ApPHP
 *	
 **/

class Posts {

	protected $post_key;
	protected $post_id;
	protected $post;

	public $error;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($post_id = "") {	

		if($post_id != ""){
			if($post_id == "home" || $post_id == "public_home"){
				$sql_home = "SELECT
							".DB_PREFIX."posts.*
						FROM ".DB_PREFIX."posts
						WHERE
							".DB_PREFIX."posts.is_home = 1";
				$this->post = database_query($sql_home,_DATA_ONLY,_FIRST_ROW_ONLY);
				if(empty($this->post)){
					// create Home Post
					$sql = "INSERT INTO ".DB_PREFIX."posts(
							id,
							post_key,
							post_title,
							post_text,
							category_id,
							post_link,
							post_placement,
							posted_at,
							is_home
						)VALUES(
							NULL,
							'',
							'',
							'',
							0,
							'',
							'',
							'".@date("Y-m-d H:i:s")."',
							1
						)";
					if(database_void_query($sql)){
						$this->post = database_query($sql_home,_DATA_ONLY,_FIRST_ROW_ONLY);
					}
				}
			}else{
				$sql = "SELECT
							".DB_PREFIX."posts.*
						FROM ".DB_PREFIX."posts
						WHERE ".DB_PREFIX."posts.id = '".(int)$post_id."'";
				$this->post = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
			}
			if(empty($this->post)){
				$this->post_id = "";
			}else{
				$this->post_id = $post_id;				
			}			
		}else{
			$this->post_id = $post_id;
			$this->post['id'] = "";
			$this->post['post_title'] = "";
			$this->post['post_key'] = "";
			$this->post['post_text'] = "";
			$this->post['category_id'] = "0";
			$this->post['post_link'] = "";
			$this->post['post_placement'] = "";
		}
	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct(){
		// echo 'this object has been destroyed';
    }

	/***
	 * Draw post title
	 *		@param $template - template name
	 **/
	public function DrawTitle($template = "brown"){
		if(isset($this->post['post_title'])){
			$post_title = $this->GetDataDecoded($this->post['post_title']);
			draw_title_bar($post_title, "title_bar", $template);
		}
	}

	/***
	 * Draw post text
	 * 
	 **/
	public function DrawText(){
		if(isset($this->post['post_text'])){
			$post_text = $this->GetDataDecodedText($this->post['post_text']);
			echo $post_text;
		}
	}
	
	/***
	 * Draw begining of post 
	 **/
	public function StartPost(){
		echo "<div class='post'>";
	}
	
	/***
	 * Draw end of post 
	 **/
	public function EndPost(){
		echo "</div>";
	}
	
	/***
	 *	Get parameter
	 *	
	 **/
	public function GetParameter($param = ""){
		if(isset($this->post[$param])){
			return $this->post[$param];
		}else{
			return "";
		}
	}

	/***
	 * Return post title
	 *		
	 **/
	public function GetTitle(){
		if(isset($this->post['post_title'])){
			$post_title = $this->GetDataDecoded($this->post['post_title']);
			return $post_title;
		}else return "";
	}
	
	/***
	 * Return placement of Post
	 *		
	 **/
	public function GetPostPlacement(){
		if(isset($this->post['post_placement'])) return $this->post['post_placement'];
		return "";
	}

	/***
	 * Return category ID
	 *		
	 **/
	public function GetCategoryId(){
		if(isset($this->post['category_id'])) return $this->post['category_id'];
		return "";
	}

	/***
	 * Return post link
	 *		
	 **/
	public function GetPostLink(){
		if(isset($this->post['post_link'])){
			$post_link = $this->GetDataDecoded($this->post['post_link']);
			return $post_link;
		}else return "";
	}
	
	/***
	 * Return post key
	 *		
	 **/
	public function GetKey(){
		return $this->post_key;
	}

	/***
	 * Return post ID
	 *		
	 **/
	public function GetId(){
		return $this->post_id;
	}
	
	/***
	 * Return post text
	 *		
	 **/
	public function GetText(){
		if(isset($this->post['post_text'])){
			$post_text = $this->GetDataDecodedText($this->post['post_text']);
			return $post_text;
		}else return "";
	}
	
	/***
	 * Return record set of current post
	 *		
	 **/
	function GetAll() {		
		$where_clause = "";

		$sql = "SELECT
					".DB_PREFIX."posts.*,
					".DB_PREFIX."categories.category_name
				FROM ".DB_PREFIX."posts
					LEFT OUTER JOIN ".DB_PREFIX."categories ON ".DB_PREFIX."posts.category_id=".DB_PREFIX."categories.id
				WHERE
					".DB_PREFIX."posts.is_home != 1
					".$where_clause."
				ORDER BY ".DB_PREFIX."posts.posted_at DESC";
		return database_query($sql,_DATA_AND_ROWS);
	}
	

	/***
	 * Draw Post
	 *		@param $post_id
	 **/
	function drawPost($post_id){
		$output = "";
		
		$sql = "SELECT
					".DB_PREFIX."posts.id as post_id,
					".DB_PREFIX."posts.category_id,
					".DB_PREFIX."posts.posted_at,
					".DB_PREFIX."posts.post_title,
					".DB_PREFIX."posts.post_text,
					".DB_PREFIX."categories.category_name
				FROM ".DB_PREFIX."posts
					LEFT OUTER JOIN ".DB_PREFIX."categories ON ".DB_PREFIX."posts.category_id=".DB_PREFIX."categories.id
				WHERE ".DB_PREFIX."posts.id = '".(int)$post_id."'";
		//$this->post = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
		$posts = database_query($sql, _DATA_AND_ROWS);
		
		if($posts[1] > 0){
			$post_text = $posts[0][0]['post_text'];
			
			// Display post row
			$output .= "<div class='post'>
			<table width='97%' align='center'>
			<tr><th align='left'><a class='post_header_a' href='index.php?page=posts&post_id=".$posts[0][0]['post_id']."'>".$posts[0][0]['post_title']."</a></th><tr>
			<tr>
				<td align='left' style='padding:4px; border-bottom:1px solid #c1c2c3' wrap='wrap'>".$post_text."</td>
			</tr>
			<tr><td nowrap height='1px'></td></tr>
			<tr>
				<td style='color:#575757' colspan='2'>
					<i>Posted by Admin at ".format_datetime($posts[0][0]['posted_at'])."</i><br />
					<i>Category: <a href='index.php?page=posts&cat_id=".$posts[0][0]['category_id']."'>".$posts[0][0]['category_name']."</a></i>
				</td>
			<tr>
			</table></div><br />";
			return $output;		
		}else{
			return draw_important_message(POST_NOT_FOUND);
		}			
	}

	/***
	 * Draw Category Posts
	 *		@param $cat_id
	 **/
	function drawCategoryPosts($cat_id)
	{
		$output = "";
		$this->category_id = $cat_id;
		
		$sql = "SELECT
					".DB_PREFIX."posts.id as post_id,
					".DB_PREFIX."posts.category_id,
					".DB_PREFIX."posts.posted_at,
					".DB_PREFIX."posts.post_title,
					".DB_PREFIX."posts.post_text,
					".DB_PREFIX."categories.category_name
				FROM ".DB_PREFIX."posts
					INNER JOIN ".DB_PREFIX."categories ON ".DB_PREFIX."posts.category_id = ".DB_PREFIX."categories.id
				WHERE 1=1 ".(($this->category_id != "0") ? "AND ".DB_PREFIX."categories.id = ".$this->category_id : "")."
				ORDER BY ".DB_PREFIX."posts.posted_at DESC
				LIMIT 0, 5";
		$posts = database_query($sql, _DATA_AND_ROWS);
		
		if($posts[1] > 0){
			for($i=0;$i<$posts[1];$i++){
				
				$post_text = $posts[0][$i]['post_text'];
				if(strlen($post_text) > 1024){
					$post_text = substr_by_word($post_text, 1024)."...";
					$post_text .= "<br /><a href='index.php?page=posts&post_id=".$posts[0][$i]['post_id']."'>".READ_MORE." &raquo;</a>";
				}

				// Display post row
				$output .= "<div class='post'>
				<table width='97%' align='center'>
				<tr><th align='left'><a class='post_header_a' href='index.php?page=posts&post_id=".$posts[0][$i]['post_id']."'>".$posts[0][$i]['post_title']."</a></th><tr>
				<tr>
					<td align='left' style='padding:4px; border-bottom:1px solid #c1c2c3' wrap='wrap'>".$post_text."</td>
				</tr>
				<tr><td nowrap height='1px'></td></tr>
				<tr>
					<td style='color:#575757' colspan='2'>
						<i>".POSTED_BY_ADMIN_AT." ".format_datetime($posts[0][$i]['posted_at'])."</i><br />
						<i>".CATEGORY_WORD.": <a href='index.php?page=posts&cat_id=".$posts[0][$i]['category_id']."'>".$posts[0][$i]['category_name']."</a></i>
					</td>
				<tr>
				</table></div><br />";
			}
		}else{
			return draw_important_message(CATEGORY_EMPTY);
		}
		return $output;
	}


	/***
	 * Update current post
	 *		@param $params - set of fields
	 **/
	function PostUpdate($params = array()) {
		if(isset($this->post['id'])){
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{				
			
				// Get input parameters
				if(isset($params['id']))	         $this->post['id'] = $params['id'];
				if(isset($params['post_title']))	 $this->post['post_title'] = $params['post_title'];
				if(isset($params['post_key'])) 		 $this->post['post_key'] = $params['post_key'];
				if(isset($params['post_text']))		 $this->post['post_text'] = $params['post_text'];
				if(isset($params['category_id']))    $this->post['category_id'] = $params['category_id'];
				if(isset($params['post_link']))		 $this->post['post_link'] = $params['post_link'];
				if(isset($params['post_placement'])) $this->post['post_placement'] = $params['post_placement'];
				
				// Post link cannot be more then 30 characters
				if (($this->post_id != "home" && $this->post_id != "public_home") && (strlen($this->post['post_link']) > 30)) {
					$this->error = post_LINK_TOO_LONG;
					return false;
				}
				
				$post_text = $this->GetDataEncodedText($this->post['post_text']); 
				$post_link = $this->GetDataEncoded($this->post['post_link']); 
				$post_title = $this->GetDataEncoded($this->post['post_title']); 
				
				 $sql = "UPDATE ".DB_PREFIX."posts
						SET 
							post_title = '".$post_title."',
							post_key = '".strtolower($this->post['post_key'])."',
							post_text = '".$post_text."',
							category_id = ".intval($this->post['category_id']).",
							post_link = '".$post_link."',
							post_placement = '".$this->post['post_placement']."'
						WHERE id = '".(int)$this->post['id']."'";
				if (database_void_query($sql)){
					return true;
				} else {
					$this->error = TRY_LATER;
					return false;
				}				
			}
		}else{
			$this->error = post_UNKNOWN;
			return false;
		}
	}
	
	/***
	 * Create new post
	 *		@param $params - set of fields
	 **/
	function PostCreate($params = array()) {
		// Get input parameters
		if(isset($params['post_title']))$this->post['post_title'] = $params['post_title'];
		if(isset($params['post_key']))$this->post['post_key'] = $params['post_key'];
		if(isset($params['post_text']))$this->post['post_text'] = $params['post_text'];
		if(isset($params['category_id']))$this->post['category_id'] = $params['category_id'];
		if(isset($params['post_link']))$this->post['post_link'] = $params['post_link'];
		if(isset($params['post_placement']))$this->post['post_placement'] = $params['post_placement'];

		// Post link cannot be more then 30 characters
		if (strlen($this->post['post_link']) > 30) {
			$this->error = post_LINK_TOO_LONG;
			return false;
		}		
		
		// Prevent creating of empty records in our 'posts' table
		if($this->post['post_title']!=""){
			$post_text = $this->GetDataEncodedText($this->post['post_text']); 
			$post_link = $this->GetDataEncoded($this->post['post_link']); 
			$post_title = $this->GetDataEncoded($this->post['post_title']); 
		
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{				
				// Create new record
				$sql = "INSERT INTO ".DB_PREFIX."posts(
						id,
						post_key,
						post_title,
						post_text,
						category_id,
						post_link,
						post_placement,
						posted_at
					)VALUES(
						NULL,
						'',
						'".$post_title."',
						'".$post_text."',
						".intval($this->post['category_id']).",
						'".$post_link."',
						'".$this->post['post_placement']."',
						'".@date("Y-m-d H:i:s")."'
					)";
				if (database_void_query($sql)){				
					// Update post_key
					$last_insert_id = mysql_insert_id();
					$sql = "UPDATE ".DB_PREFIX."posts
							SET post_key='".strtolower($this->post['post_key'])."'
							WHERE id=".intval($last_insert_id)."";
					if (database_void_query($sql)){

					}else{
						$this->error = TRY_LATER;
						return false;
					}
				} else {
					$this->error = TRY_LATER;
					return false;
				}					
				return true;				
			}			
		}else{
			$this->error = POST_HEADER_EMPTY;
			return false;
		}
	}

	/***
	 * Delete post
	 *		@param $post_id
	 **/
	function PostDelete($post_id = "") {
		// check that the post exists
		if($this->post_id != ""){
			// Delete post
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{
				$sql = "DELETE FROM ".DB_PREFIX."posts WHERE id = '".(int)$post_id."'";
				if(database_void_query($sql)) return true;				
			}
		}
		$this->error = TRY_LATER;
		return false;
	}
	
	/***
	 * Get data encoded text
	 *		@param $string
	 **/
	private function GetDataEncodedText($string = ""){
		return $string;
	}
	
	/***
	 * Get data decoded text
	 *		@param $string
	 **/
	private function GetDataDecodedText($string = ""){
		$string = str_replace('\\\\', "\\", $string); // double quotation mark
		$string = str_replace('\"', '"', $string); // double quotation mark
		$string = str_replace("\'", "'", $string); // single quotation mark                        
		return $string;
	}
	
	/***
	 * Get data encoded
	 *		@param $string
	 **/
	private function GetDataEncoded($string = ""){
		return $string;
	}
	
	/***
	 * Get data decoded text
	 *		@param $string
	 **/
	private function GetDataDecoded($string = ""){
		$string = str_replace('\\\\', "\\", $string); // double quotation mark
		$string = str_replace('\"', "&#034;", $string); // double quotation mark
		$string = str_replace("\'", "&#039;", $string); // single quotation mark                        
		$string = str_replace('"', "&#034;", $string); // double quotation mark
		$string = str_replace("'", "&#039;", $string); // single quotation mark                        
		return $string;
	}
	
}
?>