
DROP TABLE IF EXISTS `<DB_PREFIX>accounts`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>accounts` (
  `id` smallint(6) NOT NULL auto_increment,
  `user_name` varchar(30) NOT NULL default '',
  `password` varchar(50) NOT NULL default '',
  `email` varchar(70) NOT NULL,
  `account_type` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>accounts` (`id`, `user_name`, `password`, `email`, `account_type`) VALUES
(1, '<USER_NAME>',<PASSWORD>, 'admin@domain.com', 'mainadmin');



DROP TABLE IF EXISTS `<DB_PREFIX>categories`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>categories` (
  `id` int(11) NOT NULL auto_increment,
  `category_name` varchar(30) collate utf8_unicode_ci default NULL,
  `category_order` tinyint(3) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>categories` (`id`, `category_name`, `category_order`) VALUES
(1, 'Category 1', 1),
(2, 'Category 2', 2);



DROP TABLE IF EXISTS `<DB_PREFIX>modules`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules` (
  `id` smallint(6) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  `icon_file` varchar(50) NOT NULL,
  `is_installed` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>modules` (`id`, `name`, `icon_file`, `is_installed`) VALUES
(1, 'backup', 'backup.png', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>modules_settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules_settings` (
  `id` int(10) NOT NULL auto_increment,
  `module_name` varchar(20) NOT NULL,
  `settings_key` varchar(20) NOT NULL,
  `settings_value` varchar(255) NOT NULL,
  `settings_description` varchar(70) NOT NULL,
  `key_display_type` enum('string','numeric','enum') NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;


DROP TABLE IF EXISTS `<DB_PREFIX>posts`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>posts` (
  `id` int(11) NOT NULL auto_increment,
  `post_key` varchar(125) collate utf8_unicode_ci default NULL,
  `post_title` varchar(255) collate utf8_unicode_ci default NULL,
  `post_text` text collate utf8_unicode_ci,
  `category_id` int(11) default '0',
  `post_link` varchar(20) collate utf8_unicode_ci default NULL,
  `post_placement` enum('left','top') collate utf8_unicode_ci NOT NULL default 'left',
  `posted_at` datetime NOT NULL,
  `is_home` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>posts` (`id`, `post_key`, `post_title`, `post_text`, `category_id`, `post_link`, `post_placement`, `posted_at`, `is_home`) VALUES
(1, 'post-1', 'Welcome to ApPHP MicroBlog!', 'Welcome to ApPHP MicroBlog! ApPHP MicroBlog (ApPHP MicroB) is very simple and powerful PHP blog software. This product enables you to start your own blog within minutes. You can easy add and manage your posts and posting categories. This script is perfect for web designers and developers that want to empower their site and save the time on editing web pages every time they want to add more news. The script is very flexible, it written in object-oriented style and allows web developers easy change it to suit their needs.', 1, 'Welcome', 'left', '2009-11-09 00:00:00', 0),
(2, 'post-2', 'Test', 'This is the test post', 2, 'Test Post', 'left', '2009-11-06 00:00:00', 0);



DROP TABLE IF EXISTS `<DB_PREFIX>settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>settings` (
  `id` smallint(6) NOT NULL,
  `header_text` varchar(255) collate utf8_unicode_ci NOT NULL,
  `slogan_text` varchar(255) character set utf8 NOT NULL,
  `footer_text` text collate utf8_unicode_ci NOT NULL,
  `text_direction` varchar(3) collate utf8_unicode_ci NOT NULL default 'ltr',
  `template` varchar(32) character set latin1 NOT NULL,
  `admin_email` varchar(70) collate utf8_unicode_ci NOT NULL,
  `about_me` text collate utf8_unicode_ci NOT NULL,
  `my_photo` varchar(125) collate utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `<DB_PREFIX>settings` (`id`, `header_text`, `slogan_text`, `footer_text`, `text_direction`, `template`, `admin_email`, `about_me`, `my_photo`) VALUES
(0, 'ApPHP MicroBlog', 'Your slogan here...', 'ApPHP MicroBlog © <a class="footer_link" href="http://www.apphp.com/php-microblog/index.php">ApPHP</a>', 'ltr', 'default', 'admin@domain.com', 'Test about you here...', 'me.png');



DROP TABLE IF EXISTS `<DB_PREFIX>vocabulary`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>vocabulary` (
  `id` smallint(6) NOT NULL auto_increment,
  `key_value` varchar(50) character set latin1 NOT NULL,
  `key_text` varchar(255) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=213 ;

INSERT INTO `<DB_PREFIX>vocabulary` (`id`, `key_value`, `key_text`) VALUES
(1, 'ACTIONS', 'Action'),
(2, 'ACTIONS_WORD', 'Action'),
(3, 'CHANGE_ORDER', 'Change Order'),
(4, 'CHANGES_SAVED', 'Changes were saved.'),
(5, 'DELETE_WORD', 'Delete'),
(6, 'EDIT_WORD', 'Edit'),
(7, 'INSTALL_PHP_EXISTS', 'Files <b>install.php</b> and/or directory <b>install/</b> still exist. For security reasons please remove them immediately!'),
(8, 'CATEGORY_WORD', 'Category'),
(9, 'ORDER', 'Order'),
(10, 'OPERATION_BLOCKED', 'This operation is blocked in Demo Version!'),
(11, 'PASSWORD', 'Password'),
(12, 'TRY_LATER', 'An error occured while execution. Please try again later!'),
(13, 'USERNAME', 'Username'),
(14, 'VIEW_WORD', 'View'),
(15, 'KEY', 'Key'),
(16, 'VALUE', 'Value'),
(17, 'HDR_HEADER_TEXT', 'Header Text'),
(18, 'HDR_FOOTER_TEXT', 'Footer Text'),
(19, 'HDR_TEXT_DIRECTION', 'Text Direction'),
(20, 'HDR_TEMPLATE', 'Template'),
(21, 'HEADER_IS_EMPTY', 'Header can not be empty! Please re-enter.'),
(22, 'FOOTER_IS_EMPTY', 'Footer can not be empty! Please re-enter.'),
(23, 'TEMPLATE_IS_EMPTY', 'Template can not be empty! Please re-enter.'),
(24, 'SETTINGS_SAVED', 'Changes were saved! Please refresh the <a href=index.php>Home Post</a> to see the results.'),
(25, 'PASSWORD_CHANGED', 'Password was changed.'),
(26, 'PASSWORD_NOT_CHANGED', 'Password was not changed. Please try again!'),
(27, 'PASSWORD_DO_NOT_MATCH', 'Password and confirmation do not match!'),
(28, 'PASSWORD_IS_EMPTY', 'Passwords must not be empty and at least 6 characters!'),
(29, 'BUTTON_CHANGE_PASSWORD', 'Change Password'),
(30, 'BUTTON_SAVE_CHANGES', 'Save Changes'),
(31, 'BUTTON_CREATE', 'Create'),
(32, 'BUTTON_CHANGE', 'Change'),
(33, 'BUTTON_LOGIN', 'Login'),
(34, 'BUTTON_UPDATE', 'Update'),
(35, 'BUTTON_LOGOUT', 'Logout'),
(36, 'WRONG_LOGIN', 'Wrong username or password!'),
(37, 'NOT_AUTHORIZED', 'You are not authorized to view this post.'),
(38, 'ALREADY_LOGGED', 'You are already logged in!'),
(39, 'ADMIN_LOGIN', 'Admin Login'),
(40, 'WELCOME_ADMIN', 'welcome to Admin Panel!'),
(41, 'VOC_KEY_UPDATED', 'Vocabulary key was successfully updated.'),
(42, 'VOC_KEY_VALUE_EMPTY', 'Key value can not be empty! Please re-enter.'),
(43, 'POST_MANAGEMENT', 'Posts'),
(44, 'POST_ADD_NEW', 'Add New Post'),
(45, 'POST_HEADER', 'Post Header'),
(46, 'POST_EDIT_HOME', 'Edit HomePost'),
(47, 'POST_EDIT_POSTS', 'Edit Posts'),
(48, 'POST_CREATED', 'Post was successfully created'),
(49, 'POST_NOT_CREATED', 'Post was not created!'),
(50, 'POST_SAVED', 'Post was successfully saved'),
(51, 'POST_NOT_SAVED', 'Post was not saved!'),
(52, 'POST_DELETED', 'Post was successfully deleted'),
(53, 'POST_NOT_DELETED', 'Post was not deleted!'),
(54, 'POST_UNKNOWN', 'Unknown post!'),
(55, 'POST_KEY_EMPTY', 'Post key can not be empty!'),
(56, 'POST_HEADER_EMPTY', 'Post header can not be empty!'),
(57, 'POST_LINK_TOO_LONG', 'Category link too long!'),
(58, 'POST_DELETE_WARNING', 'Are you sure you want to delete this post?'),
(59, 'POST_NOT_FOUND', 'No Posts Found'),
(60, 'CHANGE_YOUR_PASSWORD', 'Change your password'),
(61, 'CATEGORY_ADD', 'Add Category'),
(62, 'CATEGORY_CREATED', 'Category was successfully created'),
(63, 'CATEGORY_DELETED', 'Category was successfully deleted'),
(64, 'CATEGORY_EDIT', 'Edit Category'),
(65, 'CATEGORY_MISSED', 'Missed Category to update! Please, try again.'),
(66, 'CATEGORY_MANAGEMENT', 'Categories'),
(67, 'CATEGORY_NAME', 'Category Name'),
(68, 'CATEGORY_NOT_CREATED', 'Category was not created!'),
(69, 'CATEGORY_NOT_SAVED', 'Category was not saved!'),
(70, 'CATEGORY_NOT_DELETED', 'Category was not deleted!'),
(71, 'CATEGORY_NOT_FOUND', 'No Categories Found'),
(72, 'CATEGORY_NAME_EMPTY', 'Category name can not be empty!'),
(73, 'CATEGORY_ORDER', 'Category Order'),
(74, 'CATEGORY_ORDER_CHANGED', 'Category order was successfully changed'),
(75, 'CATEGORY_SAVED', 'Category was successfully saved'),
(76, 'CATEGORY_TITLE', 'Category Title'),
(77, 'CATEGORY_DELETE_WARNING', 'Are you sure you want to delete this category? Note: this will make all its category links invisible to your site visitors!'),
(78, 'HOME', 'Home'),
(79, 'BACKUP_AND_RESTORE', 'Backup & Restore'),
(80, 'PERSONAL_INFORMATION', 'Personal Information'),
(81, 'VOCABULARY', 'Vocabulary'),
(82, 'SITE_PREVIEW', 'Site Preview'),
(83, 'MY_ACCOUNT', 'My Account'),
(84, 'SETTINGS', 'Settings'),
(85, 'NAME', 'Name'),
(86, 'ADD_NEW_CATEGORY', 'Add New Category'),
(87, 'EDIT_CATEGORIES', 'Edit Categories'),
(88, 'GENERAL', 'General'),
(89, 'RETYPE_PASSWORD', 'Retype Password'),
(90, 'CLICK_TO_EDIT', 'Click to edit'),
(91, 'UP', 'Up'),
(92, 'DOWN', 'Down'),
(93, 'ALERT_REQUIRED_FILEDS', 'Items marked with an asterisk (<font color=darkred>*</font>) are required'),
(94, 'SITE_SETTINGS', 'Site Settings'),
(95, 'LEFT_TO_RIGHT', 'LTR (left-to-right)'),
(96, 'RIGHT_TO_LEFT', 'RTL (right-to-left)'),
(97, 'ORANGE', 'Orange'),
(98, 'RED', 'Red'),
(99, 'GRAY', 'Gray'),
(100, 'GREEN', 'Green'),
(101, 'BLUE', 'Blue'),
(102, 'NOT_AVAILABLE', 'N/A'),
(103, 'POST_TEXT', 'Post text'),
(104, 'ADD_TO_CATEGORY', 'Add To Category'),
(105, 'POST_LINK_TEXT', 'Post Link (max. 18 chars)'),
(106, 'EDIT_POST', 'Edit Post'),
(107, 'BUTTON_REWRITE', 'Rewrite Vocabulary'),
(108, 'VOC_UPDATED', 'Vocabulary was successfully updated. Click <a href=index.php>here</a> to refresh the site.'),
(109, 'FILTER_BY', 'Filter by'),
(110, 'ALL', 'All'),
(111, 'VOC_NOT_FOUND', 'No keys found'),
(112, 'BACKUP_INSTALLATION', 'Backup Installation'),
(113, 'BACKUP_RESTORE', 'Backup Restore'),
(114, 'BACKUP_WAS_RESTORED', 'Backup _FILE_NAME_ was successfully restored.'),
(115, 'BACKUP_WAS_CREATED', 'Backup _FILE_NAME_ was successfully created.'),
(116, 'BACKUP_WAS_DELETED', 'Backup _FILE_NAME_ was successfully deleted.'),
(117, 'BACKUP_YOUR_INSTALLATION', 'Backup your current Installation'),
(118, 'BACKUP', 'Backup'),
(119, 'BACKUPS_EXISTING', 'Existing Backups'),
(120, 'BACKUP_RESTORE_NOTE', 'Restore a previous Backup. <b>Note: This will delete all your current settings.</b>'),
(121, 'BACKUP_CHOOSE_MSG', 'Choose a backup from the list below'),
(122, 'BACKUP_DELETE_ALERT', 'Are you sure you want to delete this backup?'),
(123, 'BACKUP_RESTORE_ALERT', 'Are you sure you want to restore this backup'),
(124, 'RESTORE', 'Restore'),
(125, 'BACKUP_EMPTY_MSG', 'No existing backups found.'),
(126, 'BACKUP_EMPTY_NAME_ALERT', 'Name the backup file can not be empty! Please re-enter.'),
(127, 'FILE_DELETING_ERROR', 'An error occurred while deleting file! Please try again later.'),
(128, 'BACKUP_RESTORING_ERROR', 'An error occurred while restoring file! Please try again later.'),
(129, 'BACKUP_EXECUTING_ERROR', 'An error occurred while backup the system. Please try again later.'),
(130, 'DISPLAY_ON', 'Display on'),
(131, 'LEFT', 'Left'),
(132, 'TOP', 'Top'),
(133, 'PLACEMENT', 'Placement'),
(134, 'CATEGORY_LINK', 'Category Link'),
(136, 'YES', 'Yes'),
(137, 'NO', 'No'),
(138, 'FORGOT_PASSWORD', 'Forgot Password'),
(139, 'SELECT', 'select'),
(140, 'PASSWORD_FORGOTTEN', 'Forgotten Password'),
(141, 'EMAIL_ADDRESS', 'E-mail address'),
(142, 'SEND', 'Send'),
(143, 'PASSWORD_ALREADY_SENT', 'Password was already sent to your email. Please try again later.'),
(144, 'PASSWORD_SUCCESSFULLY_SENT', 'Your password has been successfully sent to the email address.'),
(145, 'EMAIL_IS_EMPTY', 'Email must not be empty! Please re-enter.'),
(146, 'EMAIL_IS_WRONG', 'Please enter a valid email address.'),
(147, 'EMAIL_NOT_EXISTS', 'This e-mail account does not exist in the system! Please re-enter.'),
(148, 'LANGUAGES_SETTINGS', 'Languages Settings'),
(149, 'LANGUAGES', 'Languages'),
(150, 'LANGUAGE_NAME', 'Language Name'),
(151, 'IS_DEFAULT', 'Default'),
(152, 'LANGUAGE_ADD_NEW', 'Add New Language'),
(153, 'MODULES', 'Modules'),
(154, 'ADMIN_E_MAIL', 'Admin Email'),
(155, 'LANG_NAME_EMPTY', 'Language name can not be empty!'),
(156, 'MODULES_NOT_FOUND', 'No modules found!'),
(157, 'INSTALL', 'Install'),
(158, 'UNINSTALL', 'Uninstall'),
(159, 'LANG_DELETE_LAST_ERROR', 'You cannot delete last language!'),
(160, 'ADMIN_PANEL', 'Admin Panel'),
(161, 'ADMIN_EMAIL_IS_EMPTY', 'Admin email must not be empty! Please re-enter.'),
(162, 'ADMIN_EMAIL_WRONG', 'Admin email in wrong format! Please re-enter.'),
(163, 'LANG_NAME_EXISTS', 'Language with such name already exists! Please choose another.'),
(164, 'LANG_DELETE_WARNING', 'Are you sure you want to remove this language? This operation will delete all language vocabulary!'),
(165, 'LANG_DELETED', 'Language was successfully deleted!'),
(166, 'LANG_NOT_DELETED', 'Language was not deleted!'),
(167, 'LANG_MISSED', 'Missed language to update! Please, try again.'),
(168, 'LANGUAGE_ADDED', 'New language was successfully added!'),
(169, 'MODULE_INSTALL_ALERT', 'Are you sure you want to install this module?'),
(170, 'MODULE_UNINSTALL_ALERT', 'Are you sure you want to un-install this module?'),
(171, 'MODULE_INSTALLED', 'Module was successfully installed!'),
(172, 'MODULE_UNINSTALLED', 'Module was successfully un-installed!'),
(175, 'NO_RECORDS_FOUND', 'No records found'),
(176, 'PASSWORD_RECOVERY_MSG', 'To recover your password, please enter your e-mail address and a link will be emailed to you.'),
(177, 'LANG_ORDER_CHANGED', 'Language order was successfully changed!'),
(178, 'ABBREVIATION', 'Abbreviation'),
(179, 'LANG_ABBREV_EMPTY', 'Language abbreviation can not be empty!'),
(180, 'HEADER', 'Header'),
(181, 'DATE_CREATED', 'Date Created'),
(182, 'DELETE_WARNING', 'Are you sure you want to install this record?'),
(183, 'ADD_NEW', 'Add New'),
(184, 'TEXT', 'Text'),
(185, 'ADDING_OPERATION_COMPLETED', 'The adding operation completed successfully!'),
(187, 'FIELD_CANNOT_BE_EMPTY', 'Field _FIELD_ can not be empty! Please re-enter.'),
(188, 'WRONG_PARAMETER_PASSED', 'Wrong parameters passed - can not complete operation! '),
(189, 'DELETE_WARNING_COMMON', 'Are you sure you want to delete this record?'),
(190, 'DELETING_OPERATION_COMPLETED', 'Deleting operation was successfully completed!'),
(191, 'ICON_IMAGE', 'Icon image'),
(193, 'LANGUAGE_EDIT', 'Edit Language'),
(194, 'LANGUAGE', 'Language'),
(195, 'UPDATING_OPERATION_COMPLETED', 'Updating operation was successfully completed!'),
(196, 'BUTTON_BACK', 'Back'),
(197, 'BUTTON_CANCEL', 'Cancel'),
(198, 'KEY_DISPLAY_TYPE', 'Key display type'),
(199, 'FIELD_MUST_BE_NUMERIC', 'Field _FIELD_ must be numeric value! Please re-enter.'),
(202, 'POSTED_ON', 'Posted on'),
(203, 'LANGUAGE_EDITED', 'Language data was successfully updated!'),
(204, 'CATEGORY_EMPTY', 'There are no posts in this category!'),
(205, 'HDR_ABOUT_ME', 'About Me'),
(206, 'HDR_MY_PHOTO', 'My Photo'),
(207, 'READ_MORE', 'read more...'),
(208, 'POSTED_BY_ADMIN_AT', 'Posted by Admin at'),
(209, 'ABOUT_ME', 'About Me'),
(210, 'LINK', 'Link'),
(211, 'HDR_SLOGAN', 'Slogan'),
(212, 'EMAIL', 'Email');
